import type { FnBody1 } from "@thi.ng/shader-ast";
/**
 * Higher order helper function to wrap a given easing function body as proper
 * shader-ast function.
 *
 * @param body
 */
export declare const defEasing: (body: FnBody1<"float">) => import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInSine: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeOutSine: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInOutSine: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInQuad: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeOutQuad: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInOutQuad: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInCubic: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeOutCubic: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInOutCubic: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInQuart: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeOutQuart: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInOutQuart: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInQuint: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeOutQuint: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInOutQuint: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInExpo: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeOutExpo: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInOutExpo: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInCirc: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeOutCirc: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInOutCirc: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInBack: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeOutBack: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInOutBack: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInElastic: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeOutElastic: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInOutElastic: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeOutBounce: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInBounce: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
export declare const easeInOutBounce: import("@thi.ng/shader-ast").TaggedFn1<"float", "float">;
//# sourceMappingURL=easing.d.ts.map