import type { FloatTerm } from "@thi.ng/shader-ast";
/**
 * Inline function. Returns vec2(sin(x), cos(x)), optionally scaled by `r`
 *
 * @param x -
 * @param r -
 */
export declare const sincos: (x: FloatTerm, r?: FloatTerm | number) => import("@thi.ng/shader-ast").Lit<"vec2"> | import("@thi.ng/shader-ast").Op2<"vec2">;
/**
 * Inline function. Returns vec2(cos(x), sin(x)), optionally scaled by `r`.
 *
 * @param x -
 * @param r -
 */
export declare const cossin: (x: FloatTerm, r?: FloatTerm | number) => import("@thi.ng/shader-ast").Lit<"vec2"> | import("@thi.ng/shader-ast").Op2<"vec2">;
//# sourceMappingURL=sincos.d.ts.map