import { vec4 } from "@thi.ng/shader-ast/ast/lit";
import { mul } from "@thi.ng/shader-ast/ast/ops";
import { $xyz } from "@thi.ng/shader-ast/ast/swizzle";
import { normalize } from "@thi.ng/shader-ast/builtin/math";
const surfaceNormal = (n, normalMat) => normalize($xyz(mul(normalMat, vec4(n, 0))));
export {
  surfaceNormal
};
