/**
 * Returns signed distance from `p` to 2D circular arc with `aperture` (in
 * `[0,π]` interval), radius `ra` and `thickness`.
 *
 * @remarks
 * Slightly modified version (easier to use aperture control) of original GLSL
 * impl by Inigo Quilez:
 *
 * - https://www.shadertoy.com/view/wl23RK
 * - https://iquilezles.org/articles/distfunctions2d/
 */
export declare const sdfArc2: import("@thi.ng/shader-ast").TaggedFn4<"vec2", "float", "float", "float", "float">;
//# sourceMappingURL=arc.d.ts.map