/**
 * Similar to {@link fogExp}. Computes exponential fog factor `[0,1]`, based on
 * given fully saturated fog distance and density. Uses
 * [`exp2`](https://docs.thi.ng/umbrella/shader-ast/functions/exp2.html)
 * internally.
 *
 * @param dist - float
 * @param density - float
 */
export declare const fogExp2: import("@thi.ng/shader-ast").TaggedFn2<"float", "float", "float">;
//# sourceMappingURL=exp2.d.ts.map